PLASMAENGINEEXPLOR(1)

NAME
plasmaengineexplorer - Umo&#380;liwia bezpo&#347;redni dost&#281;p do silników danych Plazmy

SYNOPSIS

plasmaengineexplorer [--height piksele] [--width piksele] [-x piksele] [-y piksele] [--engine name] [--source name] [--interval ms]

plasmaengineexplorer [Standardowe opcje KDE] [Standardowe opcje Qt]

OPIS

plasmaengineexplorer jest graficznym narz&#281;dziem pozwalaj&#261;cym programistom testowanie silników danych plazmy bez konieczno&#347;ci tworzenia apletów plazmy.

Je&#380;eli nie podano &#380;adnej opcji, to program si&#281; uruchomi bez &#380;adnego silnika danych. Wymagany silnik danym mo&#380;e by&#263; wybrany za pomoc&#261; listy rozwijanej.

Wy&#347;wietlane zostan&#261; tylko zainstalowane silniki danych. Aby wy&#347;wietli&#263; nowo zainstalowane silniki danych, niezb&#281;dne mo&#380;e by&#263; uruchomienie programu kbuildsycoca4.

PARAMETRY

--height piksele
    Okre&#347;la wysoko&#347;&#263; okna w pikselach.

--width piksele
    Okre&#347;la szeroko&#347;&#263; okna w pikselach.

-x piksele
    Okre&#347;la wspó&#322;rz&#281;dn&#261; x (poziom&#261;) po&#322;o&#380;enia górnego lewego rogu okna w pikselach.

-y piksele
    Okre&#347;la wspó&#322;rz&#281;dn&#261; y (pionow&#261;) po&#322;o&#380;enia górnego lewego rogu okna w pikselach.

--engine nazwa
    Uruchamia program plasmaengineexplorer z wybranym okre&#347;lonym silnikiem danych. Parametr nazwa jest wewn&#281;trzn&#261; nazw&#261; silnika danych, okre&#347;lon&#261; wpisem X-KDE-PluginInfo-Name w pliku .desktop.

--source nazwa
    Parametr mo&#380;e by&#263; stosowany tylko jednocze&#347;nie z --engine. Wskazuje okre&#347;lone &#378;ród&#322;o danych dla silnika danych, przy uruchamianiu plasmaengineexplorer.

--interval czas
    Okre&#347;la domy&#347;lny odst&#281;p pomi&#281;dzy od&#347;wie&#380;aniem wybranych &#378;róde&#322; na czasmilisekund. Je&#380;eli nie podano parametru, &#378;ród&#322;o b&#281;dzie od&#347;wie&#380;ane tylko na &#380;&#261;danie (dla niektórych &#378;róde&#322;, oznacza do od&#347;wie&#380;anie po pojawieniu si&#281; nowych danych). Je&#380;eli podano parametr --source, to okre&#347;lany tu jest odst&#281;p pomi&#281;dzy od&#347;wie&#380;eniem danych dla tego &#378;ród&#322;a.

ZOBACZ TAK&#380;E

Bardziej szczegó&#322;owa dokumentacja jest dost&#281;pna pod adresem: help:/plasma (nale&#380;y wprowadzi&#263; ten URL w programie Konqueror, lub wywo&#322;a&#263; program khelpcenter help:/plasma).

PRZYK&#322;ADY

&#321;aduje silnik danych : time, pokazuj&#261;cy lokalny czas i aktualizuj&#261;cy si&#281; co sekund&#281;.

    plasmaengineexplorer --engine time --source Local --interval 1000

AUTORZY

Autorem plasmaengineexplorer jest Aaron Seigo <aseigo@kde.org>.